<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExisteResumoRetencaoLiq StructType
 * @subpackage Structs
 */
class ExisteResumoRetencaoLiq extends AbstractStructBase
{
    /**
     * The idLinhaLiq
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $idLinhaLiq;
    /**
     * Constructor method for ExisteResumoRetencaoLiq
     * @uses ExisteResumoRetencaoLiq::setIdLinhaLiq()
     * @param string $idLinhaLiq
     */
    public function __construct($idLinhaLiq = null)
    {
        $this
            ->setIdLinhaLiq($idLinhaLiq);
    }
    /**
     * Get idLinhaLiq value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getIdLinhaLiq()
    {
        return isset($this->idLinhaLiq) ? $this->idLinhaLiq : null;
    }
    /**
     * Set idLinhaLiq value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $idLinhaLiq
     * @return \StructType\ExisteResumoRetencaoLiq
     */
    public function setIdLinhaLiq($idLinhaLiq = null)
    {
        // validation for constraint: string
        if (!is_null($idLinhaLiq) && !is_string($idLinhaLiq)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($idLinhaLiq)), __LINE__);
        }
        if (is_null($idLinhaLiq) || (is_array($idLinhaLiq) && empty($idLinhaLiq))) {
            unset($this->idLinhaLiq);
        } else {
            $this->idLinhaLiq = $idLinhaLiq;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ExisteResumoRetencaoLiq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
